Subject: Re: bug#61965: Commands like "guix system search KEYWORD" don't work with locale it_IT.utf8

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Mar 2023 23:46:57 +0100

Hi Luigi,

Luigi Salamone <[email-masked]> skribis:

> I'm unable to use guix commands like "guix system search KEYWORD".
> No problem if I run the commend with LANG=LC_ALL.

[...]

> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> Throw to key `parser-error' with args `(#f "Unknown command" dnf)'.

I believe Tobias (Cc’d) fixed this and related issues a couple of days
ago in 0609ae7897b025f46822779d0c5c36509cb0180f and
4775460ba9a60c3c09966216da10686a70b8fadb.

Julien: We’ll have to make sure these changes reach Weblate.  :-)

Thanks,
Ludo’.